Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161132 - Wish: shared soundcard configuration
Summary: Wish: shared soundcard configuration
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-soundcard
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 18:36 UTC by Andrea Santilli
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-29 14:26:38 UTC


Attachments (Terms of Use)

Description Andrea Santilli 2005-06-20 18:36:04 UTC
Description of problem:
Hello,
I thought it would be cool to have system-config-soundcard automatically
configure non-serial soundcards as shared, so they can't be kept busy by
processes. ALSA already allows this but there are still no configurators that
use this feature.

Comment 1 Andrea Santilli 2005-06-20 18:37:52 UTC
ooops I meant serial

Comment 2 Martin Stransky 2005-12-23 09:27:26 UTC
Could you be more concrete? I don't know what you exactly mean with shared
configuration...and is there any serial sound cards?

Comment 3 Andrea Santilli 2005-12-23 11:13:52 UTC
I mean there are some soundcards that don't allow to be used by more than one
processes at a time (for example when artsd is running, other non-kde processes
cant use the soundcard) but alsa still can do that at software level as shown in
this url:
http://alsa.opensrc.org/AlsaSharing

It would be nice to have a configuration wizard that, among other options,
allows to do such a thing very easily

Comment 4 Martin Stransky 2005-12-23 13:12:28 UTC
If you mean dmix it's enabled as a default in FC4... (if you use the "default"
ALSA device, not hw or plughw device)


Note You need to log in before you can comment on or make changes to this bug.